Package org.eclipse.cdt.core.settings.model.extension

## Class CResourceData

- java.lang.Object
- - org.eclipse.cdt.core.settings.model.extension.CDataObject
  - - org.eclipse.cdt.core.settings.model.extension.CResourceData

All Implemented Interfaces:
  `ICSettingBase`

Direct Known Subclasses:
  `CFileData`, `CFolderData`

    public abstract class CResourceData
    extends CDataObject

### Field Summary

### Fields inherited from interface org.eclipse.cdt.core.settings.model.ICSettingBase

`SETTING_BUILD, SETTING_CONFIGURATION, SETTING_FILE, SETTING_FOLDER, SETTING_LANGUAGE, SETTING_PROJECT, SETTING_TARGET_PLATFORM`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`abstract org.eclipse.core.runtime.IPath` `getPath()`
`abstract boolean` `hasCustomSettings()`
`abstract void` `setPath​(org.eclipse.core.runtime.IPath path)`
`String` `toString()` Intended for debugging purpose only.

### Methods inherited from class org.eclipse.cdt.core.settings.model.extension.CDataObject

`getId, getName, getType, isValid`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### getPath

    public abstract org.eclipse.core.runtime.IPath getPath()

#### setPath

    public abstract void setPath​(org.eclipse.core.runtime.IPath path)

#### hasCustomSettings

    public abstract boolean hasCustomSettings()

#### toString

    public String toString()

Intended for debugging purpose only.

Overrides:
  `toString` in class `CDataObject`